aboutsummaryrefslogtreecommitdiff
path: root/package/rpi-userland/Config.in
blob: 3c8959e2932ba115a6c6f0c892030cbdcc8f3a8f (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
config BR2_PACKAGE_RPI_USERLAND
	bool "rpi-userland"
	depends on BR2_arm
	depends on BR2_INSTALL_LIBSTDCPP
	depends on BR2_LARGEFILE
	depends on BR2_TOOLCHAIN_HAS_THREADS
	select BR2_PACKAGE_HAS_OPENGL_EGL
	select BR2_PACKAGE_HAS_OPENGL_ES
	select BR2_PACKAGE_HAS_OPENVG
	select BR2_PACKAGE_HAS_OPENMAX
	help
	  Raspberry Pi Userland contains the necessary library to use the
	  VideoCore driver.

	  Includes source for the ARM side code to interface to:
	  EGL, mmal, GLESv2, vcos, openmaxil, vchiq_arm, bcm_host, WFC, OpenVG.

	  https://github.com/raspberrypi/userland/

if BR2_PACKAGE_RPI_USERLAND

config BR2_PACKAGE_PROVIDES_OPENGL_EGL
	default "rpi-userland"

endif

comment "rpi-userland needs a toolchain w/ C++, largefile, threads"
	depends on BR2_arm
	depends on !BR2_INSTALL_LIBSTDCPP || !BR2_LARGEFILE || !BR2_TOOLCHAIN_HAS_THREADS